CHECK_CONFLICTING_OP(9)

NAME
check_conflicting_open - see if the given dentry points to a file that has an existing open that would conflict with the desired lease.

SYNOPSIS

int check_conflicting_open(const struct dentry * dentry, const long arg);

ARGUMENTS

dentry
    dentry to check

arg
    type of lease that we're trying to acquire

DESCRIPTION

Check to see if there's an existing open fd on this file that would conflict with the lease we're trying to set.

COPYRIGHT